<?php

declare(strict_types=1);

namespace App\Services\PushNotificationsService;

use App\Models\Pouzivatel\Pouzivatel;

interface PushNotificationsServiceContract
{
    public function userDeviceTokenStored(Pouzivatel $pouzivatel, string $token): void;

    /**
     * @return mixed
     */
    public function registerUserToTopics(Pouzivatel $pouzivatel);

    /**
     * Validuje tokeny pouzivatelov a vrati pole neplatnych tokenov.
     */
    public function validateUsersTokens(array $tokens): array;
}
